

/* -------------------- GOOGLE FONTS -------------------- */
@import url('https://fonts.googleapis.com/css2?family=Ruluko:wght@400;500;600;700&display=swap');

/* ------------------- GLOBAL STYLE -------------------- */
/* Define color custom css variables */
:root {
    --bg-black-900: #000000;
    --bg-black-100: #dddddd;
    --bg-black-50: #eff0f4;
    --bg-logo: #eff0f4;
    --bg-opacity: rgba(255, 255, 255, 0.5);
    --text-black-900: #000000;
    --text-black-800: #333333;
    --text-black-700: #555555;
    --text-black-600: #666666;
    --text-black-300: #bbbbbb;
    --outer-shadow: 3px 3px 3px #d0d0d0, -3px -3px 3px #f8f8f8;
    --outer-shadow-0: 0 0 0 #d0d0d0, 0 0 0 #f8f8f8;
    --inner-shadow: inset 3px 3px 3px #d0d0d0, inset -3px -3px 3px #f8f8f8;
    --inner-shadow-0: inset 0 0 0 #d0d0d0, inset 0 0 0 #f8f8f8;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
}

*:not(i) {
    font-family: 'Ruluko',
        sans-serif;
}

/* Override custom css variables for dark theme */
body.dark {
    --bg-black-900: #ffffff;
    --bg-black-100: #353535;
    --bg-black-50: #2b2c2f;
    --bg-logo: #ffffff;
    --bg-opacity: rgba(43, 44, 47, 0.5);
    --text-black-900: #ffffff;
    --text-black-800: #ffffff;
    --text-black-700: #ffffff;
    --text-black-600: #bbbbbb;
    --outer-shadow: 3px 3px 3px #222327, -3px -3px 3px #363636;
    --outer-shadow-0: 0 0 0 #222327,
        0 0 0 #363636;
    --inner-shadow: inset 3px 3px 3px #222327,
        inset -3px -3px 3px #363636;
    --inner-shadow-0: inset 0 0 0 #222327,
        inset 0 0 0 #363636;
    transition: all 1s ease-out;
}

body {
    font-size: 16px;
    line-height: 1.5;
    overflow-x: hidden;
    background-color: var(--bg-black-50);
    transition: all 1s ease-in;
}

body.hidden-scrolling {
    overflow-y: hidden;
}

:before,
:after {
    box-sizing: border-box;
}

a {
    text-decoration: none;
}

ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

img {
    vertical-align: middle;
    max-width: 100%;
}

.container {
    max-width: 1140px;
    margin: auto;
}

.row {
    display: flex;
    flex-wrap: wrap;
}

.justify-content-between {
    justify-content: space-between;
    align-items: center;
}

.outer-shadow {
    box-shadow: var(--outer-shadow);
}

.inner-shadow {
    box-shadow: var(--inner-shadow);
}

.hover-in-shadow {
    position: relative;
    z-index: 1;
}

.hover-in-shadow:hover {
    box-shadow: var(--outer-shadow-0);
}

.hover-in-shadow:after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: all 0.3s ease;
    z-index: -1;
}

.hover-in-shadow:hover:after {
    box-shadow: var(--inner-shadow);
}

.align-items-center {
    align-items: center;
}

.btn-1 {
    padding: 10px 25px;
    font-size: 16px;
    font-weight: 500;
    color: var(--skin-color);
    background-color: transparent;
    line-height: 1.5;
    cursor: pointer;
    border-radius: 30px;
    transition: all 0.3s ease;
    display: inline-block;
    border: none;
}

.btn-1:after {
    border-radius: 30px;
}

.btn-2 {
    display: inline-block;
    height: 40px;
    width: 40px;
    text-align: center;
    /* line-height: 40px; */
    font-size: 16px;
    color: var(--text-black-600);
    cursor: pointer;
    border-radius: 50%;
    margin: 0 4px;
    transition: all 0.3s ease;
}

.btn-2:after {
    border-radius: 50%;
}

.btn-2:hover {
    color: var(--skin-color);
}

.effect-wrap .effect {
    position: absolute;
    z-index: -1;
}

.effect-1 {
    width: 30px;
    height: 30px;
    border: 4px solid #8a49ff;
    bottom: 10%;
    right: 10%;
    animation: spin 10s linear infinite;
}

.effect-2 {
    left: 3%;
    bottom: 20%;
    width: 40px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    animation: topBounce 3s ease-in-out infinite;
}

.effect-2 div {
    height: 3px;
    width: 3px;
    background-color: #ff9c07;
    margin: 0px 3px 8px;
}

.effect-3 {
    width: 180px;
    height: 180px;
    border: 25px solid var(--skin-color);
    border-radius: 50%;
    left: 50%;
    top: -120px;
    animation: leftBounce 3s ease-in-out infinite;
}

.effect-4 {
    border-top: 30px solid transparent;
    border-left: 30px solid #06d79c;
    left: 30%;
    top: 20%;
    animation: spin 15s linear infinite;
}

.effect-4:before {
    content: '';
    border-top: 30px solid transparent;
    border-left: 30px solid #06d79c;
    opacity: 0.5;
    position: absolute;
    left: -35px;
    top: -25px;
}

.effect-5 {
    height: 50px;
    width: 50px;
    right: 10%;
    top: 30%;
    display: flex;
    justify-content: space-between;
    border-radius: 50%;
    overflow: hidden;
    animation: spin 10s linear infinite;
}

.effect-5 div {
    width: 1px;
    background-color: #4dd0e1;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes topBounce {

    0%,
    100% {
        transform: translateY(0)
    }

    50% {
        transform: translateY(25px);
    }
}

@keyframes leftBounce {

    0%,
    100% {
        transform: translateX(0)
    }

    50% {
        transform: translateX(25px);
    }
}

@keyframes fadeInTop {
    0% {
        opacity: 0;
        transform: translateY(-25px);
    }

    100% {
        opacity: 1;
        transform: translateY(0px);
    }
}

/*-------------------- PRELOADER --------------------*/
.preloader {
    height: 100%;
    width: 100%;
    position: fixed;
    background-color: var(--bg-black-50);
    z-index: 1500;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.preloader.fade-out {
    opacity: 0;
    transition: all 0.6s ease;
}

.preloader .box {
    width: 65px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.preloader .box div {
    height: 15px;
    width: 15px;
    background-color: var(--skin-color);
    border-radius: 50%;
    animation: loader 1s ease infinite;
}

.preloader .box div:nth-child(2) {
    animation-delay: 0.1s;
}

.preloader .box div:nth-child(3) {
    animation-delay: 0.2s;
}

@keyframes loader {

    0%,
    100% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-30px);
    }
}

/*-------------------- SECTION --------------------*/
.section-title {
    padding: 0 15px;
    flex: 0 0 100%;
    max-width: 100%;
    text-align: center;
    margin-bottom: 60px;
}

.section-title h2 {
    display: inline-block;
    font-size: 30px;
    font-weight: 700;
    color: var(--text-black-900);
    text-transform: uppercase;
    margin: 0;
}

.section-title h2:before {
    content: attr(data-heading);
    display: block;
    font-size: 16px;
    font-weight: 600;
    color: var(--skin-color);
}

.section.hide {
    display: none;
}

/* -------------------- HEADER -------------------- */
.header {
    padding: 20px 15px;
    position: absolute;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 99;
}

/* -------------------- LOGO IMAGE -------------------- */
.btn-logo {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 8px;
    color: var(--text-black-600);
    cursor: pointer;
    border-radius: 50%;
    margin: 0 4px;
    transition: all 0.3s ease;
    width: 60px;
    height: 60px;
}

.btn-logo .logo-box{
    border-radius: 50%;
    display: flex;
    justify-content:center;
    align-items:center;
}

.btn-logo .logo-box svg{
    width: 50px;
    display: block;
    pointer-events: none;
}

.btn-logo .logo-box svg .cls-1 {
    fill: none;
    stroke: #222E3C;
    stroke-miterlimit: 10;
    stroke-width: 20px;
}

.btn-logo .logo-box svg .cls-2 {
    fill: #222E3C;
}

.btn-logo .logo-box:hover svg .cls-1 {
    stroke: var(--skin-color);
    transition: all 0.6s ease;
}

.btn-logo .logo-box:hover svg .cls-2 {
    fill: var(--skin-color);
    transition: all 0.6s ease;
}

.btn-logo .logo-box .logo-img {
    /* border-radius: 50%; */
    object-fit: contain;
}

/* .btn-logo .logo-box .logo-img.dark-active {
    filter: invert(1);
} */

.btn-logo .logo-box .logo-img.dark-active svg .cls-1 {
    stroke: #ffffff;
}

.btn-logo .logo-box .logo-img.dark-active svg .cls-2 {
    fill: #ffffff;
}

.btn-logo .logo-box .logo-img.dark-active:hover .cls-1 {
    stroke: var(--skin-color);
    transition: all 0.6s ease;
}

.btn-logo .logo-box .logo-img.dark-active:hover .cls-2 {
    fill: var(--skin-color);
    transition: all 0.6s ease;
}

.btn-logo:after {
    border-radius: 50%;
}

/* -------------------- HAMBURGER BUTTON MENU -------------------- */
.header .hamburger-btn {
    height: 40px;
    width: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    cursor: pointer;
    transition: all 0.3s ease;
}

.header .hamburger-btn:after {
    border-radius: 50%;
}

.header .hamburger-btn span {
    display: block;
    height: 2px;
    width: 16px;
    background-color: var(--bg-black-900);
    position: relative;
}

.header .hamburger-btn span:before,
.header .hamburger-btn span:after {
    content: '';
    position: absolute;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--bg-black-900);
}

.header .hamburger-btn span:before {
    top: -6px;
}

.header .hamburger-btn span:after {
    top: 6px;
}

/* ----------------------- NAVIGATION MENU ----------------------- */
.nav-menu {
    position: fixed;
    background-color: var(--bg-black-50);
    padding: 0 15px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    opacity: 0;
    visibility: hidden;
    overflow-y: auto;
}

.fade-out-effect {
    position: fixed;
    background-color: var(--bg-black-50);
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    visibility: hidden;
}

.fade-out-effect.active {
    visibility: visible;
    z-index: 999;
    animation: fadeOut 0.3s ease-out;
}

@keyframes fadeOut {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.nav-menu.open {
    visibility: visible;
    z-index: 999;
    opacity: 1;
    transition: all 0.3s ease-in;
}

.nav-menu .close-nav-menu {
    width: 40px;
    height: 40px;
    display: block;
    font-size: 35px;
    line-height: 35px;
    text-align: center;
    position: absolute;
    top: 15px;
    right: 15px;
    border-radius: 50%;
    cursor: pointer;
    color: var(--text-black-600);
    transition: all 0.3s ease;
}

.nav-menu .close-nav-menu:after {
    border-radius: 50%;
}

.nav-menu-inner {
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease;
}

.nav-menu ul {
    padding: 15px;
    text-align: center;
}

.nav-menu ul li {
    display: block;
    margin-bottom: 20px;
}

.nav-menu ul li:last-child {
    margin-bottom: 0;
}

.nav-menu ul li div {
    display: inline-block;
    font-size: 28px;
    font-weight: 600;
    color: var(--text-black-600);
    padding: 5px 30px;
    text-transform: capitalize;
    border-radius: 30px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.nav-menu ul li div.active {
    color: var(--skin-color);
}

.nav-menu ul li div:after {
    border-radius: 30px;
}

.nav-menu .copyright-text {
    position: absolute;
    top: 50%;
    left: -90px;
    transform: translateY(-50%) rotate(-90deg);
    font-size: 15px;
    color: var(--text-black-600);
}

/* ----------------------- HOME SECTION ----------------------- */
.home-section {
    position: relative;
}

.home-section .full-screen {
    padding: 50px 0;
    min-height: 100vh;
}

.home-section .home-text,
.home-section .home-img {
    flex: 0 0 50%;
    max-width: 50%;
    padding: 0 15px;
}

.home-section .home-text p {
    color: var(--text-black-300);
    font-size: 18px;
    text-transform: capitalize;
    margin: 0;
}

.home-section .home-text h2,
 .home-section .home-text h2 span{
    color: var(--text-black-800);
    font-size: 40px;
    font-weight: 700;
    margin: 0 0 10px;
    text-transform: capitalize;
}

.home-section .home-text h1,
.home-section .home-text h1 span {
    color: var(--text-black-600);
    font-size: 20px;
    font-weight: 500;
    margin: 0;
    text-transform: capitalize;
}

.home-section .home-text .btn-1 {
    margin-top: 30px;
}

.home-section .home-text .btn-1 i {
    margin-left: 2px;
}

.home-section .home-img .img-box {
    max-width: 450px;
    display: block;
    margin: auto;
    border-radius: 50%;
    padding: 15px;
}

.home-section .home-img .img-box img {
    width: 100%;
    border-radius: 50%;
    border: 10px solid transparent;
}

/* -------------------- ABOUT SECTION -------------------- */
.about-section {
    padding: 80px 0 0;
    min-height: 100vh;
}

.about-section .about-img {
    flex: 0 0 40%;
    max-width: 40%;
    padding: 0 15px;
}

.about-section .about-img .img-box {
    padding: 15px;
    border-radius: 10px;
}

.about-section .about-img .social-links {
    margin-top: 20px;
    text-align: center;
}

.about-section .about-img .social-links .btn-2 i {
    line-height: 40px;
}

.about-section .about-img .img-box img {
    width: 100%;
    border: 10px solid transparent;
    border-radius: 10px;
}

.about-section .about-info {
    flex: 0 0 60%;
    max-width: 60%;
    padding: 0 15px;
}

.about-section .about-info p {
    font-size: 16px;
    line-height: 32px;
    margin-bottom: 15px;
    color: var(--text-black-600);
    text-align: justify;
}

.about-section .about-info span {
    font-weight: 400;
}

.about-section .about-info .btn-1 {
    margin: 30px 20px 0 0;
}

.about-section .about-info .btn-1 i {
    margin-right: 3px;
}

.about-section .about-tabs {
    padding: 60px 15px 50px;
    flex: 0 0 100%;
    max-width: 100%;
    text-align: center;
}

.about-section .about-tabs .tab-item {
    display: inline-block;
    border-radius: 30px;
    padding: 5px 10px;
    margin: 0 5px 10px;
    font-size: 16px;
    font-weight: 500;
    text-transform: capitalize;
    color: var(--text-black-600);
    cursor: pointer;
    transition: all 0.3s ease;
}

.about-section .about-tabs .tab-item:hover:not(.active) {
    opacity: 0.6;
}

.about-section .about-tabs .tab-item.active {
    color: var(--skin-color);
}

.about-section .tab-content {
    flex: 0 0 100%;
    max-width: 100%;
    display: none;
}

.about-section .tab-content.active {
    display: block;
    animation: fadeInTop 0.6s ease;
}

.about-section .skills {
    padding: 0 0 40px;
}

.about-section .skills .skill-item {
    flex: 0 0 50%;
    max-width: 50%;
    padding: 0 15px;
    margin-bottom: 40px;
}

.about-section .skills .skill-item p {
    font-size: 16px;
    color: var(--text-black-600);
    text-transform: capitalize;
    margin: 0 0 10px;
}

.about-section .skills .skill-item .progress {
    height: 20px;
    border-radius: 10px;
    position: relative;
}

.about-section .skills .skill-item .progress .progress-bar {
    background-color: var(--text-black-600);
    height: 7px;
    top: 7px;
    left: 7px;
    position: absolute;
    border-radius: 10px;
}

.about-section .skills .skill-item .progress span {
    position: absolute;
    right: 0;
    top: 0;
    font-size: 16px;
    font-weight: 500;
    color: var(--text-black-600);
    margin-top: -40px;
}

.text-blink{
    animation: blink 0.3s ease-in-out 0.1s;
}

@keyframes blink{
    0%{
        opacity: 1;
    }
    99%{
        opacity:0.2;
    }
    100%{
        opacity:1;
    }
}

.about-section .experience,
.about-section .education {
    padding-bottom: 80px;
}

.about-section .timeline {
    flex: 0 0 100%;
    max-width: 100%;
    position: relative;
}

.about-section .timeline:before {
    content: '';
    width: 1px;
    height: 100%;
    left: 50%;
    background-color: var(--bg-black-100);
    position: absolute;
}

.about-section .timeline .timeline-item {
    flex: 0 0 100%;
    max-width: 100%;
    padding: 0 15px;
}

.about-section .timeline .timeline-item:nth-child(odd) {
    padding-right: calc(50% + 50px);
    text-align: right;
}

.about-section .timeline .timeline-item:nth-child(even) {
    padding-left: calc(50% + 50px);
}

.about-section .timeline .timeline-item .timeline-item-inner {
    padding: 30px;
    border-radius: 10px;
    position: relative;
}

.about-section .timeline .timeline-item .timeline-item-inner:before {
    content: '';
    position: absolute;
    width: 30px;
    height: 1px;
    background-color: var(--bg-black-100);
    top: 37px;
    z-index: -1;
}

.about-section .timeline .timeline-item:nth-child(odd) .timeline-item-inner:before {
    right: -30px;
}

.about-section .timeline .timeline-item:nth-child(even) .timeline-item-inner:before {
    left: -30px;
}

.about-section .timeline .timeline-item .timeline-item-inner .icon {
    height: 40px;
    width: 40px;
    line-height: 40px;
    background-color: var(--bg-black-50);
    text-align: center;
    position: absolute;
    top: 18px;
    border: 1px solid var(--bg-black-100);
    border-radius: 50%;
    font-size: 16px;
    color: var(--skin-color);
}

.about-section .timeline .timeline-item:nth-child(odd) .timeline-item-inner .icon {
    right: -70px;
}

.about-section .timeline .timeline-item:nth-child(even) .timeline-item-inner .icon {
    left: -70px;
}

.about-section .timeline .timeline-item span {
    display: block;
    color: var(--skin-color);
    font-weight: 500;
    margin: 0 0 10px;
    text-transform: capitalize;
}

.about-section .timeline .timeline-item h3 {
    font-size: 20px;
    color: var(--text-black-700);
    margin: 0 0 5px;
    font-weight: 600;
    text-transform: capitalize;
}

.about-section .timeline .timeline-item h4 {
    font-size: 16px;
    font-weight: 500;
    color: var(--text-black-600);
    font-style: italic;
    margin: 0;
}

.about-section .timeline .timeline-item p,
.about-section .timeline .timeline-item ul li,
.about-section .timeline .timeline-item ol li {
    font-size: 14px;
    color: var(--text-black-600);
    line-height: 26px;
}

.about-section .timeline .timeline-item p {
    margin: 15px 0 0;
}

.about-section .timeline .timeline-item ol li {
    margin-left: 10px;
}

/* -------------------------- SERVICE SECTION -------------------------- */
.service-section {
    min-height: 100vh;
    padding: 80px 0 80px;
}

.service-section .service-item {
    flex: 0 0 33.33%;
    max-width: 33.33%;
    padding: 15px;
    display: flex;
    flex-wrap: wrap;
}

.service-section .service-item .service-item-inner {
    padding: 50px 15px;
    border-radius: 10px;
    text-align: center;
    width: 100%;
}

.service-section .service-item-inner .icon {
    height: 60px;
    width: 60px;
    border-radius: 50%;
    margin: 0 auto 30px;
    transition: all 0.3s ease;
    display: block;
    position: relative;
    color: var(--text-black-600);
}

.service-section .service-item-inner .icon:after {
    position: absolute;
    content: '';
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    border-radius: 50%;
    transition: all 0.3s ease;
}

.service-section .service-item-inner:hover .icon {
    box-shadow: var(--inner-shadow-0);
}

.service-section .service-item-inner:hover .icon:after {
    box-shadow: var(--outer-shadow);
}

.service-section .service-item .service-item-inner .icon i {
    line-height: 60px;
    font-size: 25px;
    transition: all 0.3s ease;
    color: var(--text-black-700);
}

.service-section .service-item .service-item-inner:hover .icon i {
    color: var(--skin-color);
}

.service-section .service-item .service-item-inner h3 {
    font-size: 20px;
    font-weight: 600;
    color: var(--text-black-700);
    text-transform: capitalize;
    margin: 0 0 10px;
}

.service-section .service-item .service-item-inner p {
    font-size: 16px;
    color: var(--text-black-600);
    margin: 0;
    line-height: 26px;
}

/* -------------------------- PORTFOLIO SECTION -------------------------- */
.portfolio-section {
    padding: 80px 0 80px;
    min-height: 100vh;
}

.portfolio-section .section-title {
    margin-bottom: 40px;
}

.portfolio-section .portfolio-filter {
    padding: 0 15px;
    flex: 0 0 100%;
    max-width: 100%;
    text-align: center;
    margin-bottom: 20px;
}

.portfolio-section .portfolio-filter .filter-item {
    margin: 0 5px 10px;
    padding: 5px 10px;
    cursor: pointer;
    border-radius: 30px;
    display: inline-block;
    font-weight: 500;
    color: var(--text-black-600);
    font-size: 16px;
    text-transform: capitalize;
    transition: all 0.3s ease;
}

.portfolio-section .portfolio-filter .filter-item:hover:not(.active) {
    opacity: 0.6;
}

.portfolio-section .portfolio-filter .filter-item.active {
    color: var(--skin-color);
}

.portfolio-section .portfolio-item {
    flex: 0 0 33.33%;
    max-width: 33.33%;
    padding: 15px;
    display: flex;
    flex-wrap: wrap;
}

.portfolio-section .portfolio-item.hide {
    display: none;
}

.portfolio-section .portfolio-item.show {
    display: block;
    animation: fadeInTop 1s ease;
}

.portfolio-section .portfolio-item-inner {
    padding: 15px;
    border-radius: 10px;
    cursor: pointer;
    width: 100%;
}

.portfolio-section .portfolio-item-img {
    position: relative;
}

.portfolio-section .portfolio-item-img .view-project {
    font-size: 16px;
    text-transform: capitalize;
    color: var(--skin-color);
    font-weight: 500;
    transition: all 0.3s ease;
    position: absolute;
    left: 0;
    bottom: -4px;
    transform: translateY(-5px);
    z-index: -1;
    opacity: 0;
}

.portfolio-section .portfolio-item-inner:hover .view-project {
    transform: translateY(0px);
    opacity: 1;
}

.portfolio-section .portfolio-item-img img {
    border-radius: 10px;
    width: 100%;
    height: 200px;
    transition: all 0.3s ease;
    object-fit: cover;

}

.portfolio-section .portfolio-item-inner:hover .portfolio-item-img img {
    transform: translateY(-25px);
}

.portfolio-section .portfolio-item-details {
    display: none;
}

.portfolio-section .portfolio-item-inner p {
    font-size: 16px;
    margin: 10px 0 0;
    color: var(--text-black-600);
    text-transform: capitalize;
}

/* -------------------------- PORTFOLIO POPUP -------------------------- */
.portfolio-popup {
    background-color: var(--bg-black-50);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: fixed;
    z-index: 1000;
    overflow-y: scroll;
    visibility: hidden;
    opacity: 0;
    transition: all 0.3s ease;
}

.portfolio-popup.open {
    visibility: visible;
    opacity: 1;
}

.portfolio-popup .pp-loader {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 1005;
    background-color: var(--bg-opacity);
    display: flex;
    align-items: center;
    justify-content: center;
    visibility: hidden;
    opacity: 0;
}

.portfolio-popup .pp-loader.active {
    visibility: visible;
    opacity: 1;
}

.portfolio-popup .pp-loader div {
    height: 40px;
    width: 40px;
    border: 3px solid var(--skin-color);
    border-radius: 50%;
    border-right: 3px solid transparent;
    animation: spin 2s linear infinite;
}

.portfolio-popup .pp-details {
    max-width: 1350px;
    width: calc(85% + 30px);
    margin: auto;
    max-height: 0;
    opacity: 0;
    overflow: hidden;
    transition: all 0.5s ease;
}

.portfolio-popup .pp-details.active {
    opacity: 1;
}

.portfolio-popup .pp-details-inner {
    padding: 30px 0;
}

.portfolio-popup .pp-title {
    padding: 0 15px;
}

.portfolio-popup .pp-title h2 {
    font-size: 28px;
    color: var(--text-black-900);
    font-weight: 600;
    text-transform: capitalize;
    margin: 0 0 5px;
}

.portfolio-popup .pp-project-details h3 {
    font-size: 20px;
    color: var(--text-black-700);
    font-weight: 600;
    text-transform: capitalize;
    margin: 0 0 15px;
}

.portfolio-popup .pp-title p {
    font-size: 14px;
    color: var(--text-black-600);
    text-transform: capitalize;
    margin: 0 0 15px;
    border-bottom: 1px solid var(--bg-black-100);
    padding-bottom: 10px;
}

.portfolio-popup .pp-title p strong{
    font-weight: 600;
}

.portfolio-popup .pp-title p span {
    font-weight: 400;
    text-transform: capitalize;
}

.portfolio-popup .description {
    flex: 0 0 60%;
    max-width: 60%;
    padding: 0 15px;
}

.portfolio-popup .description p {
    font-size: 16px;
    color: var(--text-black-600);
    margin: 0;
    line-height: 32px;
    text-align: justify;
}

.portfolio-popup .info {
    flex: 0 0 40%;
    max-width: 40%;
    padding: 0 15px;
}

.portfolio-popup .info ul li{
    display: block;
    margin-bottom: 10px;
    font-size: 16px;
    color: var(--text-black-600);
}

.portfolio-popup .info ul li strong{
    font-weight: 600;
}

.portfolio-popup .info ul li span a {
    color: var(--skin-color);
}

.portfolio-popup .info ul li:last-child {
    margin-bottom: 0px;
}

.portfolio-popup .info ul li span {
    font-weight: 400;
}

.portfolio-popup .separator {
    height: 1px;
    width: 100%;
    display: block;
    background-color: var(--bg-black-100);
}

.portfolio-popup .pp-img-wrapper {
    width: 500px;
    height: auto;
}

.portfolio-popup .pp-img {
    max-width: 100%;
    height: auto;
    width: auto;
    padding: 10px;
    border-radius: 10px;
    /* object-fit: contain; */
    background-size: 100% 100%;
}

.portfolio-popup .pp-main {
    min-height: 100vh;
    max-width: 1350px;
    width: 85%;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.portfolio-popup .pp-main-inner {
    padding: 70px 0 50px;
    position: relative;
}

.portfolio-popup .pp-project-details-btn {
    position: absolute;
    left: 0;
    top: 15px;
    height: 40px;
    line-height: 40px;
    border-radius: 30px;
    color: var(--skin-color);
    padding: 0 15px;
    font-size: 16px;
    font-weight: 500;
    cursor: pointer;
    transition: all 0.3s ease;
}

.portfolio-popup .pp-project-details-btn:after {
    border-radius: 30px;
}

.portfolio-popup .pp-project-details-btn i {
    margin-left: 4px;
}

.portfolio-popup .pp-close {
    position: absolute;
    right: 0;
    top: 15px;
    height: 40px;
    width: 40px;
    border-radius: 50%;
    line-height: 35px;
    text-align: center;
    font-size: 35px;
    color: var(--text-black-600);
    cursor: pointer;
    transition: all 0.3s ease;
}

.portfolio-popup .pp-close:after {
    border-radius: 50%;
}

.portfolio-popup .pp-counter {
    position: absolute;
    right: 0;
    bottom: 5px;
    height: 40px;
    line-height: 40px;
    font-size: 16px;
    color: var(--text-black-600);
}

.portfolio-popup .pp-prev,
.portfolio-popup .pp-next {
    position: fixed;
    height: 40px;
    width: 40px;
    top: 50%;
    text-align: center;
    font-size: 20px;
    cursor: pointer;
    color: var(--text-black-900);
    z-index: 1010;
    opacity: 0.5;
    transition: all 0.3s ease;
}

.portfolio-popup .pp-prev:hover,
.portfolio-popup .pp-next:hover {
    opacity: 1;
}

.portfolio-popup .pp-prev i,
.portfolio-popup .pp-next i {
    line-height: 40px;
}

.portfolio-popup .pp-prev i {
    transform: rotate(180deg);
}

.portfolio-popup .pp-prev {
    left: 15px;
}

.portfolio-popup .pp-next {
    right: 15px;
}

/* -------------------------- MY TEAM SECTION -------------------------- */
.myteam-section {
    min-height: 100vh;
    padding: 80px 0 80px;
}

.myteam-section .myteam-item {
    flex: 0 0 100%;
    max-width: 33.33%;
    padding: 15px;
    display: flex;
    flex-wrap: wrap;
    margin: auto;
}

.myteam-section .myteam-item .myteam-item-inner {
    padding: 50px 15px;
    border-radius: 10px;
    text-align: center;
    width: 100%;
}

/* .myteam-section .myteam-item-inner .img-team {
    height: 160px;
    width: 160px;
    border-radius: 50%;
    margin: 0 auto 30px;
    transition: all 0.3s ease;
    display: block;
    position: relative;
    color: var(--text-black-600);
} */

.myteam-section .myteam-item-inner .img-team{
    max-width: 146px;
    display: block;
    margin: auto;
    border-radius: 50%;
    padding: 8px;
}

.myteam-section .myteam-item-inner .img-team img{
    width: 128px;
    height: 128px;
    border-radius: 50%;
    object-fit: cover;
    border: 8px solid transparent;
}

.myteam-section .myteam-item .myteam-item-inner h3 {
    font-size: 20px;
    font-weight: 600;
    color: var(--text-black-700);
    text-transform: capitalize;
    margin: 10px 0 5px;
}

.myteam-section .myteam-item .myteam-item-inner h4 {
    font-size: 16px;
    font-weight: 500;
    color: var(--skin-color);
    text-transform: capitalize;
    margin: 0 0 15px;
}

.myteam-section .myteam-item .myteam-item-inner p {
    font-size: 16px;
    color: var(--text-black-600);
    margin: 0 0 30px;
    line-height: 26px;
    font-style: italic;
}

.myteam-section .myteam-item .myteam-item-inner .social-links{
    margin-top: 20px;
    text-align: center;
}

.myteam-section .myteam-item .myteam-item-inner .social-links .btn-2 i {
    line-height: 40px;
}

/* -------------------------- TESTIMONIALS SECTION -------------------------- */
.testimonials-section {
    padding: 80px 0 80px;
    min-height: 100vh;
}

.testimonials-section .testi-box {
    width: 100%;
    max-width: 600px;
    margin: auto;
    padding: 0 15px;
}

.testimonials-section .testi-slider {
    border-radius: 10px;
    overflow: hidden;
}

.testimonials-section .testi-slider-container {
    display: flex;
    transition: margin 1s ease;
    align-items: center;
}

.testimonials-section .testi-item {
    padding: 30px;
    text-align: center;
    position: relative;
}

.testimonials-section .testi-item i {
    position: absolute;
    font-size: 30px;
    color: var(--text-black-600);
    opacity: 0.1;
}

.testimonials-section .testi-item i.left {
    top: 5px;
    left: 5px;
}

.testimonials-section .testi-item i.right {
    bottom: 5px;
    right: 5px;
}

.testimonials-section .testi-item p {
    font-size: 16px;
    line-height: 26px;
    margin: 0 0 30px;
    color: var(--text-black-600);
}

.testimonials-section .testi-item img {
    max-width: 70px;
    display: inline-block;
    width: 100%;
}

.testimonials-section .testi-item span {
    display: block;
    margin: 10px 0 0;
    font-weight: 600;
    font-size: 16px;
    color: var(--text-black-700);
}

.testimonials-section .testi-slider-nav {
    margin-top: 30px;
    text-align: center;
}

.testimonials-section .testi-slider-nav span {
    height: 40px;
    width: 40px;
    color: var(--skin-color);
    display: inline-block;
    font-size: 20px;
    border-radius: 50%;
    cursor: pointer;
    transition: all 0.3s ease;
    margin: 0 4px;
    text-transform: capitalize;
}

.testimonials-section .testi-slider-nav span:after {
    border-radius: 50%;
}

.testimonials-section .testi-slider-nav span i {
    line-height: 40px;
}

/* -------------------------- CONTACT SECTION -------------------------- */
.contact-section {
    padding: 80px 0 80px;
    min-height: 100vh;
}

.contact-section .contact-item {
    flex: 0 0 50%;
    width: 50%;
    padding: 15px;
    display: flex;
}

.contact-section .contact-item-inner {
    padding: 30px 15px;
    text-align: center;
    border-radius: 10px;
    width: 100%;
}

.contact-section .contact-item-inner .icon {
    height: 60px;
    width: 60px;
    border-radius: 50%;
    margin: 0 auto 30px;
    transition: all 0.3s ease;
    display: block;
    position: relative;
    color: var(--text-black-600);
}

.contact-section .contact-item-inner .icon:after {
    position: absolute;
    content: '';
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    border-radius: 50%;
    transition: all 0.3s ease;
}

.contact-section .contact-item-inner:hover .icon {
    box-shadow: var(--inner-shadow-0);
}

.contact-section .contact-item-inner:hover .icon:after {
    box-shadow: var(--outer-shadow);
}

.contact-section .contact-item-inner .icon i {
    line-height: 60px;
    font-size: 25px;
    transition: all 0.3s ease;
    color: var(--text-black-700);
}

.contact-section .contact-item-inner:hover .icon i {
    color: var(--skin-color);
}

.contact-section .contact-item-inner span {
    display: block;
    color: var(--text-black-700);
    font-size: 16px;
    font-weight: 600;
    margin: 10px 0 5px;
    text-transform: capitalize;
}

.contact-section .contact-item-inner p {
    color: var(--text-black-600);
    font-size: 16px;
    line-height: 26px;
    margin: 0px;
    word-break: break-word;
}

.contact-section .contact-form {
    flex: 0 0 100%;
    width: 100%;
    margin-top: 50px;
}

.contact-section .contact-form-title {
    padding: 12px 24px;
    margin-bottom: 6px;
    font-weight: 600;
    font-size: 22px;
    color: var(--text-black-600);
}

.contact-section .w-50 {
    flex: 0 0 50%;
    width: 50%;
    padding: 0 15px;
}

.contact-section .input-group {
    margin: 0 0 25px;
    border-radius: 30px;
    transition: all 0.3s ease;
}

.contact-section .input-group:after {
    border-radius: 30px;
}

.contact-section .input-group .input-control {
    height: 45px;
    border-radius: 30px;
    width: 100%;
    border: none;
    background-color: transparent;
    font-size: 16px;
    padding: 0 15px;
    color: var(--text-black-700);
}

.contact-section .input-group input,
.contact-section .input-group textarea {
    content: attr(placeholder);
}

.contact-section .input-group textarea.input-control {
    height: 184px;
    padding-top: 15px;
    resize: none;
}

.contact-section .submit-btn {
    flex: 0 0 100%;
    max-width: 100%;
    text-align: right;
    padding: 0 15px;
    display: inline;
}

.contact-section .submit-btn .loading-btn {
    display: none;
    background-color: var(--bg-opacity);
    visibility: hidden;
    opacity: 0;
}

.contact-section .submit-btn .loading-btn.active {
    visibility: visible;
    opacity: 1;
    display: block;
}

.contact-section .submit-btn .spin-loading {
    width: 100%;
    height: 100%;
    z-index: 50;
    display: none;
}

.contact-section .submit-btn .spin-loading.active {
    width: 100%;
    height: 100%;
    z-index: 50;
    display: inline;
}

.contact-section .submit-btn .spin-loading div {
    display: inline-block;
    height: 13px;
    width: 13px;
    border: 3px solid var(--skin-color);
    border-radius: 50%;
    border-right: 3px solid transparent;
    animation: spin 1.5s linear infinite;
    margin-right: 6px;
}

.contact-section .box-alert.open,
.contact-section .error-box-alert.open {
    display: flex;
    justify-content: center;
    align-items: center;
    visibility: visible;
    z-index: 200;
    opacity: 1;
    animation: boxScale 0.6s ease;
    height: 100vh;
    width: 100%;
}

@keyframes boxScale {
    0% {
        transform: scale(0);
    }
    100% {
        transform: scale(1);
    }
}

.contact-section .box-alert,
.contact-section .error-box-alert {
    padding: 15px 30px;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: auto;
    overflow-y: auto;
    z-index: 100;
    opacity: 0;
    visibility: hidden;
    display: none;
    transition: all 0.3s ease;
}

.contact-section .box-alert-inner,
.contact-section .error-box-alert-inner {
    background-color: var(--bg-black-50);
    padding: 20px;
    border-radius: 10px;
    position: relative;
    height: auto;
    width: auto;
}

.contact-section .box-alert .close-btn,
.contact-section .error-box-alert .close-btn {
    width: 40px;
    height: 40px;
    display: block;
    font-size: 35px;
    line-height: 35px;
    text-align: center;
    position: absolute;
    top: 15px;
    right: 15px;
    border-radius: 50%;
    cursor: pointer;
    color: var(--text-black-600);
    transition: all 0.3s ease-out;
}

.contact-section .box-alert .close-btn:after,
.contact-section .error-box-alert .close-btn:after {
    border-radius: 50%;
}

.contact-section .box-alert .title h2,
.contact-section .error-box-alert .title h2 {
    text-align: center;
    font-weight: 600;
    color: var(--text-black-700);
    font-size: 36px;
    text-transform: capitalize;
}

.contact-section .box-alert .content,
.contact-section .error-box-alert .content {
    font-size: 18px;
    text-align: center;
    color: var(--text-black-600);
    margin: 12px 0 24px 0;
}

.contact-section .box-alert .footer,
.contact-section .error-box-alert .footer {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 10px;
}

.contact-section .box-alert .footer button,
.contact-section .error-box-alert .footer button {
    transition: all 0.3s ease;
    font-size: 16px;
    font-weight: 500;
}